[arch-commits] Commit in python-aiobotocore/repos/community-any (5 files)

Chih-Hsuan Yen yan12125 at archlinux.org
Sun Jul 5 15:48:50 UTC 2020


    Date: Sunday, July 5, 2020 @ 15:48:49
  Author: yan12125
Revision: 657880

archrelease: copy trunk to community-any

Added:
  python-aiobotocore/repos/community-any/PKGBUILD
    (from rev 657879, python-aiobotocore/trunk/PKGBUILD)
  python-aiobotocore/repos/community-any/unittest-mock.diff
    (from rev 657879, python-aiobotocore/trunk/unittest-mock.diff)
Deleted:
  python-aiobotocore/repos/community-any/PKGBUILD
  python-aiobotocore/repos/community-any/pytest-event-loop.diff
  python-aiobotocore/repos/community-any/unittest-mock.diff

------------------------+
 PKGBUILD               |   99 ++++++++++++++++++++++-------------------------
 pytest-event-loop.diff |   13 ------
 unittest-mock.diff     |   74 +++++++++++++++++------------------
 3 files changed, 85 insertions(+), 101 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-07-05 15:48:28 UTC (rev 657879)
+++ PKGBUILD	2020-07-05 15:48:49 UTC (rev 657880)
@@ -1,51 +0,0 @@
-# Maintainer: Chih-Hsuan Yen <yan12125 at archlinux.org>
-
-pkgname=python-aiobotocore
-_pkgname=aiobotocore
-pkgver=1.0.7
-pkgrel=1
-pkgdesc='asyncio support for botocore library using aiohttp'
-arch=(any)
-url='https://github.com/aio-libs/aiobotocore'
-license=(Apache)
-depends=(python python-aiohttp python-botocore python-wrapt python-aioitertools)
-checkdepends=(python-flask python-moto python-pytest python-pytest-asyncio)
-source=("https://github.com/aio-libs/aiobotocore/archive/$pkgver/$pkgname-$pkgver.tar.gz"
-        unittest-mock.diff
-        pytest-event-loop.diff)
-sha256sums=('0789c379925c2f65a639e978bb20a35f4e242a46d2272f212f159f9a14f28f13'
-            'ffb6b7e922632f4c2de5c93f61ab53e1730cfe151b0a2dde5dfce6260405866e'
-            '02700f174c58d754e501169737cf04f06f85f536b3bb4f44f422e213ab600e46')
-
-prepare() {
-  cd $_pkgname-$pkgver
-  # community/python-mock is outdated and does not include needed AsyncMock.
-  # Use mock from stdlib instead. It has AsyncMock since 3.8
-  patch -Np1 -i ../unittest-mock.diff
-  patch -Np1 -i ../pytest-event-loop.diff
-
-  # Disable dependency pinning
-  # Upstream tracking issue: https://github.com/aio-libs/aiobotocore/issues/670
-  sed --in-place=.orig -r "s#'(botocore.*),<.*',#'\1',#" setup.py
-  diff -u setup.py{.orig,} || true
-}
-
-build() {
-  cd $_pkgname-$pkgver
-  python setup.py build
-}
-
-check() {
-  cd $_pkgname-$pkgver
-
-  export PYTHONPATH="$PWD/build/lib:$PWD"
-  # test_lambda uses moto.awslambda, which requires a running Docker service
-  pytest -v -m moto tests \
-      --ignore=tests/test_patches.py \
-      --ignore=tests/test_lambda.py
-}
-
-package() {
-  cd $_pkgname-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1 --skip-build
-}

Copied: python-aiobotocore/repos/community-any/PKGBUILD (from rev 657879, python-aiobotocore/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-07-05 15:48:49 UTC (rev 657880)
@@ -0,0 +1,48 @@
+# Maintainer: Chih-Hsuan Yen <yan12125 at archlinux.org>
+
+pkgname=python-aiobotocore
+_pkgname=aiobotocore
+pkgver=1.0.7
+pkgrel=2
+pkgdesc='asyncio support for botocore library using aiohttp'
+arch=(any)
+url='https://github.com/aio-libs/aiobotocore'
+license=(Apache)
+depends=(python python-aiohttp python-botocore python-wrapt python-aioitertools)
+checkdepends=(python-flask python-moto python-pytest python-pytest-asyncio)
+source=("https://github.com/aio-libs/aiobotocore/archive/$pkgver/$pkgname-$pkgver.tar.gz"
+        unittest-mock.diff)
+sha256sums=('0789c379925c2f65a639e978bb20a35f4e242a46d2272f212f159f9a14f28f13'
+            'ffb6b7e922632f4c2de5c93f61ab53e1730cfe151b0a2dde5dfce6260405866e')
+
+prepare() {
+  cd $_pkgname-$pkgver
+  # community/python-mock is outdated and does not include needed AsyncMock.
+  # Use mock from stdlib instead. It has AsyncMock since 3.8
+  patch -Np1 -i ../unittest-mock.diff
+
+  # Disable dependency pinning
+  # Upstream tracking issue: https://github.com/aio-libs/aiobotocore/issues/670
+  sed --in-place=.orig -r "s#'(botocore.*),<.*',#'\1',#" setup.py
+  diff -u setup.py{.orig,} || true
+}
+
+build() {
+  cd $_pkgname-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd $_pkgname-$pkgver
+
+  export PYTHONPATH="$PWD"
+  # test_lambda uses moto.awslambda, which requires a running Docker service
+  pytest -v -m moto tests \
+      --ignore=tests/test_patches.py \
+      --ignore=tests/test_lambda.py
+}
+
+package() {
+  cd $_pkgname-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1 --skip-build
+}

Deleted: pytest-event-loop.diff
===================================================================
--- pytest-event-loop.diff	2020-07-05 15:48:28 UTC (rev 657879)
+++ pytest-event-loop.diff	2020-07-05 15:48:49 UTC (rev 657880)
@@ -1,13 +0,0 @@
-diff --git a/tests/conftest.py b/tests/conftest.py
-index 4393d32..58d09ab 100644
---- a/tests/conftest.py
-+++ b/tests/conftest.py
-@@ -90,7 +90,7 @@ def aa_succeed_proxy_config(monkeypatch):
- 
- 
- @pytest.fixture
--def session():
-+def session(event_loop):
-     session = aiobotocore.session.AioSession()
-     return session
- 

Deleted: unittest-mock.diff
===================================================================
--- unittest-mock.diff	2020-07-05 15:48:28 UTC (rev 657879)
+++ unittest-mock.diff	2020-07-05 15:48:49 UTC (rev 657880)
@@ -1,37 +0,0 @@
-diff --git a/tests/botocore/test_credentials.py b/tests/botocore/test_credentials.py
-index ecbe17e..1b2172e 100644
---- a/tests/botocore/test_credentials.py
-+++ b/tests/botocore/test_credentials.py
-@@ -8,7 +8,7 @@ import datetime
- import json
- import subprocess
- 
--import mock
-+from unittest import mock
- from typing import Optional
- 
- import pytest
-diff --git a/tests/botocore/test_signers.py b/tests/botocore/test_signers.py
-index 0e4035e..7529760 100644
---- a/tests/botocore/test_signers.py
-+++ b/tests/botocore/test_signers.py
-@@ -1,5 +1,5 @@
- import pytest
--import mock
-+from unittest import mock
- 
- import aiobotocore
- import aiobotocore.credentials
-diff --git a/tests/botocore/test_utils.py b/tests/botocore/test_utils.py
-index 3d17b87..4089cf1 100644
---- a/tests/botocore/test_utils.py
-+++ b/tests/botocore/test_utils.py
-@@ -1,7 +1,7 @@
- import asyncio
- import pytest
- import json
--import mock
-+from unittest import mock
- import itertools
- from typing import Union, List, Tuple
- 

Copied: python-aiobotocore/repos/community-any/unittest-mock.diff (from rev 657879, python-aiobotocore/trunk/unittest-mock.diff)
===================================================================
--- unittest-mock.diff	                        (rev 0)
+++ unittest-mock.diff	2020-07-05 15:48:49 UTC (rev 657880)
@@ -0,0 +1,37 @@
+diff --git a/tests/botocore/test_credentials.py b/tests/botocore/test_credentials.py
+index ecbe17e..1b2172e 100644
+--- a/tests/botocore/test_credentials.py
++++ b/tests/botocore/test_credentials.py
+@@ -8,7 +8,7 @@ import datetime
+ import json
+ import subprocess
+ 
+-import mock
++from unittest import mock
+ from typing import Optional
+ 
+ import pytest
+diff --git a/tests/botocore/test_signers.py b/tests/botocore/test_signers.py
+index 0e4035e..7529760 100644
+--- a/tests/botocore/test_signers.py
++++ b/tests/botocore/test_signers.py
+@@ -1,5 +1,5 @@
+ import pytest
+-import mock
++from unittest import mock
+ 
+ import aiobotocore
+ import aiobotocore.credentials
+diff --git a/tests/botocore/test_utils.py b/tests/botocore/test_utils.py
+index 3d17b87..4089cf1 100644
+--- a/tests/botocore/test_utils.py
++++ b/tests/botocore/test_utils.py
+@@ -1,7 +1,7 @@
+ import asyncio
+ import pytest
+ import json
+-import mock
++from unittest import mock
+ import itertools
+ from typing import Union, List, Tuple
+ 



More information about the arch-commits mailing list